﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using web_sample.Models;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.DataSources;
using System.Collections;

namespace web_sample.Controllers
{
    public class HomeController : Controller
    {
       
        public IActionResult Index()
        {
            List<EmployeeSpecialists> empl = new List<EmployeeSpecialists>();
            empl.Add(new EmployeeSpecialists { text = "Erik Linden", desig = "Representative", country = "England" });
            empl.Add(new EmployeeSpecialists { text = "John Linden", desig = "Representative", country = "Norway" });
            empl.Add(new EmployeeSpecialists { text = "Louis", desig = "Representative", country = "Australia" });
            empl.Add(new EmployeeSpecialists { text = "Lawrence", desig = "Representative", country = "India" });
            ViewBag.datasource = empl;
            return View();
        }

        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View();
        }

    }
    public class EmployeeSpecialists
    {
        public string text { get; set; }
        public string desig { get; set; }
        public string country { get; set; }
    }
}
